aboutsummaryrefslogtreecommitdiff
path: root/0.8.0/paludis/qa/defaults_check_TEST_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to '0.8.0/paludis/qa/defaults_check_TEST_setup.sh')
-rwxr-xr-x0.8.0/paludis/qa/defaults_check_TEST_setup.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/0.8.0/paludis/qa/defaults_check_TEST_setup.sh b/0.8.0/paludis/qa/defaults_check_TEST_setup.sh
new file mode 100755
index 0000000..98d7cb9
--- /dev/null
+++ b/0.8.0/paludis/qa/defaults_check_TEST_setup.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir defaults_check_TEST_dir || exit 1
+cd defaults_check_TEST_dir || exit 1
+
+mkdir -p repo1/{eclass,distfiles,profiles/profile} || exit 1
+cd repo1 || exit 1
+echo "test-repo-1" > profiles/repo_name || exit 1
+cat <<END > profiles/categories || exit 1
+cat-one
+cat-two
+cat-three
+END
+cat <<END > profiles/profile/make.defaults
+ARCH=test
+END
+cat <<END > profiles/profiles.desc
+test profile/ stable
+END
+mkdir -p cat-one/pkg-one
+cat <<"END" > cat-one/pkg-one/pkg-one-1.ebuild
+DESCRIPTION="foo"
+SLOT="foo"
+
+src_unpack() {
+ unpack "${A}"
+ cd "${S}"
+ epatch "${FILESDIR}"/${PN}-cookie.patch
+}
+END
+cat <<"END" > cat-one/pkg-one/pkg-one-2.ebuild
+DESCRIPTION="foo"
+SLOT="foo"
+
+src_unpack() {
+ :
+}
+END
+
+cd ..
+
+